use std::fmt;

#[derive(Debug, Clone)]
pub struct Error {
    pub msg: String
}

impl Error {
    pub fn new(msg: &str) -> Self {
        Error { msg: String::from(msg)}
    }
}

impl fmt::Display for Error {
    fn fmt(&self, f: &mut fmt::Formatter<'_>) -> fmt::Result {
        write!(f, "Error: {}", self.msg)
    }
}